Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(revision 9522)
+++ t3lib/class.t3lib_befunc.php	(revision )
@@ -921,7 +909,7 @@
 	 * @return	boolean		Whether a table is localizable
 	 */
 	public static function isTableLocalizable($table) {
-		$isLocalizable = false;
+		$isLocalizable = FALSE;
 		if (isset($GLOBALS['TCA'][$table]['ctrl']) && is_array($GLOBALS['TCA'][$table]['ctrl'])) {
 			$tcaCtrl = $GLOBALS['TCA'][$table]['ctrl'];
 			$isLocalizable = (isset($tcaCtrl['languageField']) && $tcaCtrl['languageField'] && isset($tcaCtrl['transOrigPointerField']) && $tcaCtrl['transOrigPointerField']);
@@ -939,17 +927,17 @@
 	 * @return	mixed		If table is localizable, the set localizationMode is returned (if property is not set, 'select' is returned by default); if table is not localizable, false is returned
 	 */
 	public static function getInlineLocalizationMode($table, $fieldOrConfig) {
-		$localizationMode = false;
+		$localizationMode = FALSE;
 		if (is_array($fieldOrConfig) && count($fieldOrConfig)) {
 			$config = $fieldOrConfig;
 		} elseif (is_string($fieldOrConfig) && isset($GLOBALS['TCA'][$table]['columns'][$fieldOrConfig]['config'])) {
 			$config = $GLOBALS['TCA'][$table]['columns'][$fieldOrConfig]['config'];
 		}
-		if (is_array($config) && isset($config['type']) && $config['type']=='inline' && self::isTableLocalizable($table)) {
+		if (is_array($config) && isset($config['type']) && $config['type'] == 'inline' && self::isTableLocalizable($table)) {
 			$localizationMode = (isset($config['behaviour']['localizationMode']) && $config['behaviour']['localizationMode'] ? $config['behaviour']['localizationMode'] : 'select');
 				// The mode 'select' is not possible when child table is not localizable at all:
-			if ($localizationMode=='select' && !self::isTableLocalizable($config['foreign_table'])) {
+			if ($localizationMode == 'select' && !self::isTableLocalizable($config['foreign_table'])) {
-				$localizationMode = false;
+				$localizationMode = FALSE;
 			}
 		}
 		return $localizationMode;
@@ -966,7 +954,7 @@
 	 * @return	array		Returns page record if OK, otherwise false.
 	 */
 	public static function readPageAccess($id, $perms_clause) {
-		if ((string)$id!='') {
+		if ((string) $id != '') {
 			$id = intval($id);
 			if (!$id) {
 				if ($GLOBALS['BE_USER']->isAdmin()) {
@@ -986,7 +974,7 @@
 				}
 			}
 		}
-		return false;
+		return FALSE;
 	}
 
 	/**
@@ -1002,7 +990,7 @@
 		global $TCA;
 
 		t3lib_div::loadTCA($table);
-		if ($TCA[$table])	{
+		if ($TCA[$table]) {
 
 				// Get type value:
 			$fieldValue = self::getTCAtypeValue($table, $rec);
@@ -1015,7 +1003,7 @@
 			$altFieldList = array();
 
 				// Traverse fields in types config and parse the configuration into a nice array:
-			foreach($fieldList as $k => $v) {
+			foreach ($fieldList as $k => $v) {
 				list($pFieldName, $pAltTitle, $pPalette, $pSpec) = t3lib_div::trimExplode(';', $v);
 				$defaultExtras = is_array($TCA[$table]['columns'][$pFieldName]) ? $TCA[$table]['columns'][$pFieldName]['defaultExtras'] : '';
 				$specConfParts = self::getSpecConfParts($pSpec, $defaultExtras);
@@ -1059,7 +1047,9 @@
 		if ($TCA[$table]) {
 			$field = $TCA[$table]['ctrl']['type'];
 			$fieldValue = $field ? ($rec[$field] ? $rec[$field] : 0) : 0;
-			if (!is_array($TCA[$table]['types'][$fieldValue]))	$fieldValue = 1;
+			if (!is_array($TCA[$table]['types'][$fieldValue])) {
+				$fieldValue = 1;
+			}
 			return $fieldValue;
 		}
 	}
@@ -1074,14 +1064,14 @@
 	 * @param	string		The ['defaultExtras'] value from field configuration
 	 * @return	array
 	 */
-	public static function getSpecConfParts($str, $defaultExtras)	{
+	public static function getSpecConfParts($str, $defaultExtras) {
 
 			// Add defaultExtras:
-		$specConfParts = t3lib_div::trimExplode(':', $defaultExtras.':'.$str, 1);
+		$specConfParts = t3lib_div::trimExplode(':', $defaultExtras . ':' . $str, 1);
 
 		$reg = array();
 		if (count($specConfParts)) {
-			foreach($specConfParts as $k2 => $v2) {
+			foreach ($specConfParts as $k2 => $v2) {
 				unset($specConfParts[$k2]);
 				if (preg_match('/(.*)\[(.*)\]/', $v2, $reg)) {
 					$specConfParts[trim($reg[1])] = array(
@@ -1110,7 +1100,7 @@
 		if (is_array($pArr)) {
 			foreach ($pArr as $k => $v) {
 				$parts = explode('=', $v, 2);
-				if (count($parts)==2) {
+				if (count($parts) == 2) {
 					$out[trim($parts[0])] = trim($parts[1]);
 				} else {
 					$out[$k] = $v;
@@ -1138,27 +1128,27 @@
 		global $TYPO3_CONF_VARS;
 
 			// Get pointer field etc from TCA-config:
-		$ds_pointerField = 	$conf['ds_pointerField'];
+		$ds_pointerField = $conf['ds_pointerField'];
-		$ds_array = 		$conf['ds'];
+		$ds_array = $conf['ds'];
-		$ds_tableField = 	$conf['ds_tableField'];
+		$ds_tableField = $conf['ds_tableField'];
-		$ds_searchParentField = 	$conf['ds_pointerField_searchParent'];
+		$ds_searchParentField = $conf['ds_pointerField_searchParent'];
 
 			// Find source value:
 		$dataStructArray = '';
-		if (is_array($ds_array))	{	// If there is a data source array, that takes precedence
+		if (is_array($ds_array)) { // If there is a data source array, that takes precedence
 				// If a pointer field is set, take the value from that field in the $row array and use as key.
-			if ($ds_pointerField)	{
+			if ($ds_pointerField) {
 
 					// Up to two pointer fields can be specified in a comma separated list.
 				$pointerFields = t3lib_div::trimExplode(',', $ds_pointerField);
-				if(count($pointerFields) == 2) { // If we have two pointer fields, the array keys should contain both field values separated by comma. The asterisk "*" catches all values. For backwards compatibility, it's also possible to specify only the value of the first defined ds_pointerField.
+				if (count($pointerFields) == 2) { // If we have two pointer fields, the array keys should contain both field values separated by comma. The asterisk "*" catches all values. For backwards compatibility, it's also possible to specify only the value of the first defined ds_pointerField.
-					if($ds_array[$row[$pointerFields[0]].','.$row[$pointerFields[1]]]) {	// Check if we have a DS for the combination of both pointer fields values
+					if ($ds_array[$row[$pointerFields[0]] . ',' . $row[$pointerFields[1]]]) { // Check if we have a DS for the combination of both pointer fields values
-						$srcPointer = $row[$pointerFields[0]].','.$row[$pointerFields[1]];
+						$srcPointer = $row[$pointerFields[0]] . ',' . $row[$pointerFields[1]];
-					} elseif($ds_array[$row[$pointerFields[1]].',*']) {	// Check if we have a DS for the value of the first pointer field suffixed with ",*"
+					} elseif ($ds_array[$row[$pointerFields[1]] . ',*']) { // Check if we have a DS for the value of the first pointer field suffixed with ",*"
-						$srcPointer = $row[$pointerFields[1]].',*';
+						$srcPointer = $row[$pointerFields[1]] . ',*';
-					} elseif($ds_array['*,'.$row[$pointerFields[1]]]) {	// Check if we have a DS for the value of the second pointer field prefixed with "*,"
+					} elseif ($ds_array['*,' . $row[$pointerFields[1]]]) { // Check if we have a DS for the value of the second pointer field prefixed with "*,"
-						$srcPointer = '*,'.$row[$pointerFields[1]];
+						$srcPointer = '*,' . $row[$pointerFields[1]];
-					} elseif($ds_array[$row[$pointerFields[0]]]) {	// Check if we have a DS for just the value of the first pointer field (mainly for backwards compatibility)
+					} elseif ($ds_array[$row[$pointerFields[0]]]) { // Check if we have a DS for just the value of the first pointer field (mainly for backwards compatibility)
 						$srcPointer = $row[$pointerFields[0]];
 					}
 				} else {
@@ -1166,44 +1156,50 @@
 				}
 
 				$srcPointer = isset($ds_array[$srcPointer]) ? $srcPointer : 'default';
-			} else $srcPointer = 'default';
+			} else {
+				$srcPointer = 'default';
+			}
 
 				// Get Data Source: Detect if it's a file reference and in that case read the file and parse as XML. Otherwise the value is expected to be XML.
-			if (substr($ds_array[$srcPointer], 0, 5)=='FILE:') {
+			if (substr($ds_array[$srcPointer], 0, 5) == 'FILE:') {
 				$file = t3lib_div::getFileAbsFileName(substr($ds_array[$srcPointer], 5));
 				if ($file && @is_file($file)) {
 					$dataStructArray = t3lib_div::xml2array(t3lib_div::getUrl($file));
-				} else $dataStructArray = 'The file "'.substr($ds_array[$srcPointer], 5).'" in ds-array key "'.$srcPointer.'" was not found ("'.$file.'")';	// Error message.
-			} else {
+				} else {
+					$dataStructArray = 'The file "' . substr($ds_array[$srcPointer], 5) . '" in ds-array key "' . $srcPointer . '" was not found ("' . $file . '")';
+				} // Error message.
+			} else {
 				$dataStructArray = t3lib_div::xml2array($ds_array[$srcPointer]);
 			}
 
-		} elseif ($ds_pointerField) {	// If pointer field AND possibly a table/field is set:
+		} elseif ($ds_pointerField) { // If pointer field AND possibly a table/field is set:
 				// Value of field pointed to:
 			$srcPointer = $row[$ds_pointerField];
 
 				// Searching recursively back if 'ds_pointerField_searchParent' is defined (typ. a page rootline, or maybe a tree-table):
 			if ($ds_searchParentField && !$srcPointer) {
-				$rr = self::getRecord($table, $row['uid'], 'uid,' . $ds_searchParentField);	// Get the "pid" field - we cannot know that it is in the input record! ###NOTE_A###
+				$rr = self::getRecord($table, $row['uid'], 'uid,' . $ds_searchParentField); // Get the "pid" field - we cannot know that it is in the input record! ###NOTE_A###
 				if ($WSOL) {
 					self::workspaceOL($table, $rr);
-					self::fixVersioningPid($table, $rr, TRUE);	// Added "TRUE" 23/03/06 before 4.0. (Also to similar call below!).  Reason: When t3lib_refindex is scanning the system in Live workspace all Pages with FlexForms will not find their inherited datastructure. Thus all references from workspaces are removed! Setting TRUE means that versioning PID doesn't check workspace of the record. I can't see that this should give problems anywhere. See more information inside t3lib_refindex!
+					self::fixVersioningPid($table, $rr, TRUE); // Added "TRUE" 23/03/06 before 4.0. (Also to similar call below!).  Reason: When t3lib_refindex is scanning the system in Live workspace all Pages with FlexForms will not find their inherited datastructure. Thus all references from workspaces are removed! Setting TRUE means that versioning PID doesn't check workspace of the record. I can't see that this should give problems anywhere. See more information inside t3lib_refindex!
 				}
-				$uidAcc = array();	// Used to avoid looping, if any should happen.
+				$uidAcc = array(); // Used to avoid looping, if any should happen.
 				$subFieldPointer = $conf['ds_pointerField_searchParent_subField'];
-				while(!$srcPointer)		{
+				while (!$srcPointer) {
 
 					$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-									'uid,'.$ds_pointerField.','.$ds_searchParentField.($subFieldPointer?','.$subFieldPointer:''),
+						'uid,' . $ds_pointerField . ',' . $ds_searchParentField . ($subFieldPointer ? ',' . $subFieldPointer : ''),
-									$table,
+						$table,
-									'uid=' . intval($newRecordPidValue ? $newRecordPidValue : $rr[$ds_searchParentField]) . self::deleteClause($table)	###NOTE_A###
+							'uid=' . intval($newRecordPidValue ? $newRecordPidValue : $rr[$ds_searchParentField]) . self::deleteClause($table) ###NOTE_A###
-								);
+					);
 					$newRecordPidValue = 0;
 					$rr = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 					$GLOBALS['TYPO3_DB']->sql_free_result($res);
 
 						// break if no result from SQL db or if looping...
-					if (!is_array($rr) || isset($uidAcc[$rr['uid']]))	break;
+					if (!is_array($rr) || isset($uidAcc[$rr['uid']])) {
+						break;
+					}
 					$uidAcc[$rr['uid']] = 1;
 
 					if ($WSOL) {
@@ -1216,7 +1212,7 @@
 
 				// If there is a srcPointer value:
 			if ($srcPointer) {
-				if (t3lib_div::testInt($srcPointer))	{	// If integer, then its a record we will look up:
+				if (t3lib_div::testInt($srcPointer)) { // If integer, then its a record we will look up:
 					list($tName, $fName) = explode(':', $ds_tableField, 2);
 					if ($tName && $fName && is_array($GLOBALS['TCA'][$tName])) {
 						$dataStructRec = self::getRecord($tName, $srcPointer);
@@ -1224,18 +1220,26 @@
 							self::workspaceOL($tName, $dataStructRec);
 						}
 						$dataStructArray = t3lib_div::xml2array($dataStructRec[$fName]);
-					} else $dataStructArray = 'No tablename ('.$tName.') or fieldname ('.$fName.') was found an valid!';
+					} else {
+						$dataStructArray = 'No tablename (' . $tName . ') or fieldname (' . $fName . ') was found an valid!';
+					}
-				} else {	// Otherwise expect it to be a file:
+				} else { // Otherwise expect it to be a file:
 					$file = t3lib_div::getFileAbsFileName($srcPointer);
 					if ($file && @is_file($file)) {
 						$dataStructArray = t3lib_div::xml2array(t3lib_div::getUrl($file));
-					} else $dataStructArray = 'The file "'.$srcPointer.'" was not found ("'.$file.'")';	// Error message.
+					} else {
+						$dataStructArray = 'The file "' . $srcPointer . '" was not found ("' . $file . '")';
+					} // Error message.
 				}
-			} else $dataStructArray = 'No source value in fieldname "'.$ds_pointerField.'"';	// Error message.
-		} else $dataStructArray = 'No proper configuration!';
+			} else {
+				$dataStructArray = 'No source value in fieldname "' . $ds_pointerField . '"';
+			} // Error message.
+		} else {
+			$dataStructArray = 'No proper configuration!';
+		}
 
 			// Hook for post-processing the Flexform DS. Introduces the possibility to configure Flexforms via TSConfig
-		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['getFlexFormDSClass'])) {
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['getFlexFormDSClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['getFlexFormDSClass'] as $classRef) {
 				$hookObj = t3lib_div::getUserObj($classRef);
 				if (method_exists($hookObj, 'getFlexFormDS_postProcessDS')) {
@@ -1261,7 +1265,7 @@
 		}
 
 
-		$flexForms    = array();
+		$flexForms = array();
 
 		foreach ($GLOBALS['TCA'][$table]['columns'] as $tableField => $fieldConf) {
 			if (!empty($fieldConf['config']['type']) && !empty($fieldConf['config']['ds']) && $fieldConf['config']['type'] == 'flex') {
@@ -1277,7 +1281,7 @@
 				foreach ($fieldConf['config']['ds'] as $flexFormKey => $dataStruct) {
 						// Get extension identifier (uses second value if it's not empty, "list" or "*", else first one)
 					$identFields = t3lib_div::trimExplode(',', $flexFormKey);
-					$extIdent    = $identFields[0];
+					$extIdent = $identFields[0];
 					if (!empty($identFields[1]) && $identFields[1] != 'list' && $identFields[1] != '*') {
 						$extIdent = $identFields[1];
 					}
@@ -1322,7 +1326,7 @@
 
 					$flexForms[$tableField][$extIdent] = array(
 						'title' => $title,
-						'ds'    => $dataStruct,
+						'ds' => $dataStruct,
 					);
 				}
 			}
@@ -1332,12 +1336,6 @@
 	}
 
 
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * Caching related
@@ -1370,7 +1368,7 @@
 				'ident' => $ident,
 				'tstamp' => $GLOBALS['EXEC_TIME']
 			);
-			$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_hash', 'hash='.$GLOBALS['TYPO3_DB']->fullQuoteStr($hash, 'cache_hash'));
+			$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_hash', 'hash=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($hash, 'cache_hash'));
 			$GLOBALS['TYPO3_DB']->exec_INSERTquery('cache_hash', $insertFields);
 		}
 	}
@@ -1385,7 +1383,7 @@
 	 * @return	string
 	 */
 	public static function getHash($hash, $expTime = 0) {
-		$hashContent = null;
+		$hashContent = NULL;
 		if (TYPO3_UseCachingFramework) {
 			$contentHashCache = $GLOBALS['typo3CacheManager']->getCache('cache_hash');
 			$cacheEntry = $contentHashCache->get($hash);
@@ -1396,24 +1394,18 @@
 		} else {
 			$expTime = intval($expTime);
 			if ($expTime) {
-				$whereAdd = ' AND tstamp > '.(time()-$expTime);
+				$whereAdd = ' AND tstamp > ' . (time() - $expTime);
 			}
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('content', 'cache_hash', 'hash='.$GLOBALS['TYPO3_DB']->fullQuoteStr($hash, 'cache_hash').$whereAdd);
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('content', 'cache_hash', 'hash=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($hash, 'cache_hash') . $whereAdd);
 			$row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
 
-			$hashContent =  (is_array($row) ? $row['content'] : null);
+			$hashContent = (is_array($row) ? $row['content'] : NULL);
 		}
 		return $hashContent;
 	}
 
 
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * TypoScript related
@@ -1436,11 +1428,11 @@
 		if (!is_array($rootLine)) {
 			$rootLine = self::BEgetRootLine($id, '', TRUE);
 		}
-		ksort($rootLine);	// Order correctly
+		ksort($rootLine); // Order correctly
 		$TSdataArray = array();
-		$TSdataArray['defaultPageTSconfig'] = $GLOBALS['TYPO3_CONF_VARS']['BE']['defaultPageTSconfig'];	// Setting default configuration:
+		$TSdataArray['defaultPageTSconfig'] = $GLOBALS['TYPO3_CONF_VARS']['BE']['defaultPageTSconfig']; // Setting default configuration:
-		foreach($rootLine as $k => $v) {
+		foreach ($rootLine as $k => $v) {
-			$TSdataArray['uid_'.$v['uid']] = $v['TSconfig'];
+			$TSdataArray['uid_' . $v['uid']] = $v['TSconfig'];
 		}
 		$TSdataArray = t3lib_TSparser::checkIncludeLines_array($TSdataArray);
 		if ($returnPartArray) {
@@ -1498,14 +1490,14 @@
 	 */
 	public static function updatePagesTSconfig($id, $pageTS, $TSconfPrefix, $impParams = '') {
 		$id = intval($id);
-		if (is_array($pageTS) && $id>0) {
+		if (is_array($pageTS) && $id > 0) {
 			if (!is_array($impParams)) {
 				$impParams = self::implodeTSParams(self::getPagesTSconfig($id));
 			}
 			$set = array();
 			foreach ($pageTS as $f => $v) {
-				$f = $TSconfPrefix.$f;
+				$f = $TSconfPrefix . $f;
-				if ((!isset($impParams[$f])&&trim($v)) || strcmp(trim($impParams[$f]), trim($v))) {
+				if ((!isset($impParams[$f]) && trim($v)) || strcmp(trim($impParams[$f]), trim($v))) {
 					$set[$f] = trim($v);
 				}
 			}
@@ -1518,15 +1510,15 @@
 				foreach ($set as $f => $v) {
 					$inserted = 0;
 					foreach ($TSlines as $ki => $kv) {
-						if (substr($kv, 0, strlen($f)+1)==$f.'=') {
+						if (substr($kv, 0, strlen($f) + 1) == $f . '=') {
-							$TSlines[$ki] = $f.'='.$v;
+							$TSlines[$ki] = $f . '=' . $v;
 							$inserted = 1;
 							break;
 						}
 					}
 					if (!$inserted) {
 						$TSlines = array_reverse($TSlines);
-						$TSlines[] = $f.'='.$v;
+						$TSlines[] = $f . '=' . $v;
 						$TSlines = array_reverse($TSlines);
 					}
 				}
@@ -1535,7 +1527,7 @@
 					// store those changes
 				$TSconf = implode(LF, $TSlines);
 
-				$GLOBALS['TYPO3_DB']->exec_UPDATEquery('pages', 'uid='.intval($id), array('TSconfig' => $TSconf));
+				$GLOBALS['TYPO3_DB']->exec_UPDATEquery('pages', 'uid=' . intval($id), array('TSconfig' => $TSconf));
 			}
 		}
 	}
@@ -1555,7 +1547,7 @@
 				if (is_array($val)) {
 					$implodeParams = array_merge($implodeParams, self::implodeTSParams($val, $k . $kb));
 				} else {
-					$implodeParams[$k.$kb] = $val;
+					$implodeParams[$k . $kb] = $val;
 				}
 			}
 		}
@@ -1563,12 +1555,6 @@
 	}
 
 
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * Users / Groups related
@@ -1588,7 +1574,7 @@
 		$be_user_Array = Array();
 
 		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($fields, 'be_users', 'pid=0 ' . $where . self::deleteClause('be_users'), '', 'username');
-		while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
+		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 			$be_user_Array[$row['uid']] = $row;
 		}
 		$GLOBALS['TYPO3_DB']->sql_free_result($res);
@@ -1608,7 +1594,7 @@
 		$be_group_Array = Array();
 
 		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($fields, 'be_groups', 'pid=0 ' . $where . self::deleteClause('be_groups'), '', 'title');
-		while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
+		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 			$be_group_Array[$row['uid']] = $row;
 		}
 		$GLOBALS['TYPO3_DB']->sql_free_result($res);
@@ -1627,7 +1613,7 @@
 	public static function getListGroupNames($fields = 'title, uid') {
 		$exQ = ' AND hide_in_lists=0';
 		if (!$GLOBALS['BE_USER']->isAdmin()) {
-			$exQ.=' AND uid IN ('.($GLOBALS['BE_USER']->user['usergroup_cached_list']?$GLOBALS['BE_USER']->user['usergroup_cached_list']:0).')';
+			$exQ .= ' AND uid IN (' . ($GLOBALS['BE_USER']->user['usergroup_cached_list'] ? $GLOBALS['BE_USER']->user['usergroup_cached_list'] : 0) . ')';
 		}
 		return self::getGroupNames($fields, $exQ);
 	}
@@ -1648,7 +1634,7 @@
 			foreach ($usernames as $uid => $row) {
 				$userN = $uid;
 				$set = 0;
-				if ($row['uid']!=$GLOBALS['BE_USER']->user['uid']) {
+				if ($row['uid'] != $GLOBALS['BE_USER']->user['uid']) {
 					foreach ($groupArray as $v) {
 						if ($v && t3lib_div::inList($row['usergroup_cached_list'], $v)) {
 							$userN = $row['username'];
@@ -1660,9 +1646,11 @@
 					$set = 1;
 				}
 				$usernames[$uid]['username'] = $userN;
-				if ($excludeBlindedFlag && !$set) {unset($usernames[$uid]);}
+				if ($excludeBlindedFlag && !$set) {
+					unset($usernames[$uid]);
-			}
-		}
+				}
+			}
+		}
 		return $usernames;
 	}
 
@@ -1685,24 +1673,15 @@
 					$set = 1;
 				}
 				$groups[$uid]['title'] = $groupN;
-				if ($excludeBlindedFlag && !$set) {unset($groups[$uid]);}
+				if ($excludeBlindedFlag && !$set) {
+					unset($groups[$uid]);
-			}
-		}
+				}
+			}
+		}
 		return $groups;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * Output related
@@ -1717,8 +1696,8 @@
 	 * @return	integer
 	 */
 	public static function daysUntil($tstamp) {
-		$delta_t = $tstamp-$GLOBALS['EXEC_TIME'];
+		$delta_t = $tstamp - $GLOBALS['EXEC_TIME'];
-		return ceil($delta_t/(3600*24));
+		return ceil($delta_t / (3600 * 24));
 	}
 
 	/**
@@ -1729,7 +1708,7 @@
 	 * @return	string		Formatted time
 	 */
 	public static function date($tstamp) {
-		return date($GLOBALS['TYPO3_CONF_VARS']['SYS']['ddmmyy'], (int)$tstamp);
+		return date($GLOBALS['TYPO3_CONF_VARS']['SYS']['ddmmyy'], (int) $tstamp);
 	}
 
 	/**
@@ -1740,7 +1719,7 @@
 	 * @return	string		Formatted time
 	 */
 	public static function datetime($value) {
-		return date($GLOBALS['TYPO3_CONF_VARS']['SYS']['ddmmyy'].' '.$GLOBALS['TYPO3_CONF_VARS']['SYS']['hhmm'], $value);
+		return date($GLOBALS['TYPO3_CONF_VARS']['SYS']['ddmmyy'] . ' ' . $GLOBALS['TYPO3_CONF_VARS']['SYS']['hhmm'], $value);
 	}
 
 	/**
@@ -1753,12 +1732,12 @@
 	 * @return	string		Formatted time
 	 */
 	public static function time($value, $withSeconds = TRUE) {
-		$hh = floor($value/3600);
+		$hh = floor($value / 3600);
-		$min = floor(($value-$hh*3600)/60);
+		$min = floor(($value - $hh * 3600) / 60);
-		$sec = $value-$hh*3600-$min*60;
+		$sec = $value - $hh * 3600 - $min * 60;
-		$l = sprintf('%02d', $hh).':'.sprintf('%02d', $min);
+		$l = sprintf('%02d', $hh) . ':' . sprintf('%02d', $min);
 		if ($withSeconds) {
-			$l .= ':'.sprintf('%02d', $sec);
+			$l .= ':' . sprintf('%02d', $sec);
 		}
 		return $l;
 	}
@@ -1774,17 +1753,20 @@
 	public static function calcAge($seconds, $labels = 'min|hrs|days|yrs') {
 		$labelArr = explode('|', $labels);
 		$prefix = '';
-		if ($seconds<0)	{$prefix = '-'; $seconds = abs($seconds);}
+		if ($seconds < 0) {
+			$prefix = '-';
+			$seconds = abs($seconds);
+		}
-		if ($seconds<3600) {
+		if ($seconds < 3600) {
-			$seconds = round ($seconds/60).' '.trim($labelArr[0]);
+			$seconds = round($seconds / 60) . ' ' . trim($labelArr[0]);
-		} elseif ($seconds<24*3600) {
+		} elseif ($seconds < 24 * 3600) {
-			$seconds = round ($seconds/3600).' '.trim($labelArr[1]);
+			$seconds = round($seconds / 3600) . ' ' . trim($labelArr[1]);
-		} elseif ($seconds<365*24*3600) {
+		} elseif ($seconds < 365 * 24 * 3600) {
-			$seconds = round ($seconds/(24*3600)).' '.trim($labelArr[2]);
+			$seconds = round($seconds / (24 * 3600)) . ' ' . trim($labelArr[2]);
 		} else {
-			$seconds = round ($seconds/(365*24*3600)).' '.trim($labelArr[3]);
+			$seconds = round($seconds / (365 * 24 * 3600)) . ' ' . trim($labelArr[3]);
 		}
-		return $prefix.$seconds;
+		return $prefix . $seconds;
 	}
 
 	/**
@@ -1799,8 +1781,8 @@
 	 */
 	public static function dateTimeAge($tstamp, $prefix = 1, $date = '') {
 		return $tstamp ?
-				($date=='date' ? self::date($tstamp) : self::datetime($tstamp)) .
+				($date == 'date' ? self::date($tstamp) : self::datetime($tstamp)) .
-				' (' . self::calcAge($prefix * ($GLOBALS['EXEC_TIME'] - $tstamp), $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')) . ')'
+						' (' . self::calcAge($prefix * ($GLOBALS['EXEC_TIME'] - $tstamp), $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')) . ')'
 				: '';
 	}
 
@@ -1820,8 +1802,8 @@
 		t3lib_div::logDeprecatedFunction();
 
 		global $CLIENT;
-		$attrib= ($CLIENT['BROWSER']=='net'&&$CLIENT['VERSION']<5)||$CLIENT['BROWSER']=='konqu' ? 'alt' : 'title';
+		$attrib = ($CLIENT['BROWSER'] == 'net' && $CLIENT['VERSION'] < 5) || $CLIENT['BROWSER'] == 'konqu' ? 'alt' : 'title';
-		return strcmp($content, '')?' '.$attrib.'="'.($hsc?htmlspecialchars($content):$content).'"' : $attrib;
+		return strcmp($content, '') ? ' ' . $attrib . '="' . ($hsc ? htmlspecialchars($content) : $content) . '"' : $attrib;
 	}
 
 	/**
@@ -1833,8 +1815,8 @@
 	 */
 	public static function titleAltAttrib($content) {
 		$out = '';
-		$out.=' alt="'.htmlspecialchars($content).'"';
+		$out .= ' alt="' . htmlspecialchars($content) . '"';
-		$out.=' title="'.htmlspecialchars($content).'"';
+		$out .= ' title="' . htmlspecialchars($content) . '"';
 		return $out;
 	}
 
@@ -1862,20 +1844,22 @@
 
 			// Find uploaddir automatically
 		$uploaddir = (is_null($uploaddir)) ? $TCA[$table]['columns'][$field]['config']['uploadfolder'] : $uploaddir;
-		$uploaddir = preg_replace('#/$#','', $uploaddir);
+		$uploaddir = preg_replace('#/$#', '', $uploaddir);
 
 			// Set thumbs-script:
 		if (!$GLOBALS['TYPO3_CONF_VARS']['GFX']['thumbnails']) {
 			$thumbScript = 'gfx/notfound_thumb.gif';
-		} elseif(!$thumbScript) {
+		} elseif (!$thumbScript) {
 			$thumbScript = 'thumbs.php';
 		}
 			// Check and parse the size parameter
 		$sizeParts = array();
 		if ($size = trim($size)) {
-			$sizeParts = explode('x', $size.'x'.$size);
+			$sizeParts = explode('x', $size . 'x' . $size);
-			if(!intval($sizeParts[0])) $size = '';
+			if (!intval($sizeParts[0])) {
+				$size = '';
-		}
+			}
+		}
 
 			// Traverse files:
 		$thumbs = explode(',', $row[$field]);
@@ -1884,26 +1868,28 @@
 			if (trim($theFile)) {
 				$fI = t3lib_div::split_fileref($theFile);
 				$ext = $fI['fileext'];
-						// New 190201 start
+					// New 190201 start
 				$max = 0;
 				if (t3lib_div::inList('gif,jpg,png', $ext)) {
-					$imgInfo = @getimagesize(PATH_site.$uploaddir.'/'.$theFile);
+					$imgInfo = @getimagesize(PATH_site . $uploaddir . '/' . $theFile);
-					if (is_array($imgInfo))	{$max = max($imgInfo[0], $imgInfo[1]);}
+					if (is_array($imgInfo)) {
+						$max = max($imgInfo[0], $imgInfo[1]);
-				}
+					}
+				}
 					// use the original image if it's size fits to the thumbnail size
-				if ($max && $max<=(count($sizeParts)&&max($sizeParts)?max($sizeParts):56)) {
+				if ($max && $max <= (count($sizeParts) && max($sizeParts) ? max($sizeParts) : 56)) {
-					$theFile = $url = ($abs?'':'../').($uploaddir?$uploaddir.'/':'').trim($theFile);
+					$theFile = $url = ($abs ? '' : '../') . ($uploaddir ? $uploaddir . '/' : '') . trim($theFile);
-					$onClick = 'top.launchView(\''.$theFile.'\',\'\',\''.$backPath.'\');return false;';
+					$onClick = 'top.launchView(\'' . $theFile . '\',\'\',\'' . $backPath . '\');return false;';
-					$thumbData.= '<a href="#" onclick="'.htmlspecialchars($onClick).'"><img src="'.$backPath.$url.'" '.$imgInfo[3].' hspace="2" border="0" title="'.trim($url).'"'.$tparams.' alt="" /></a> ';
+					$thumbData .= '<a href="#" onclick="' . htmlspecialchars($onClick) . '"><img src="' . $backPath . $url . '" ' . $imgInfo[3] . ' hspace="2" border="0" title="' . trim($url) . '"' . $tparams . ' alt="" /></a> ';
-						// New 190201 stop
+					// New 190201 stop
-				} elseif ($ext=='ttf' || t3lib_div::inList($GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'], $ext)) {
+				} elseif ($ext == 'ttf' || t3lib_div::inList($GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'], $ext)) {
-					$theFile_abs = PATH_site.($uploaddir?$uploaddir.'/':'').trim($theFile);
+					$theFile_abs = PATH_site . ($uploaddir ? $uploaddir . '/' : '') . trim($theFile);
-					$theFile = ($abs?'':'../').($uploaddir?$uploaddir.'/':'').trim($theFile);
+					$theFile = ($abs ? '' : '../') . ($uploaddir ? $uploaddir . '/' : '') . trim($theFile);
 
 					if (!is_readable($theFile_abs)) {
 						$flashMessage = t3lib_div::makeInstance(
 							't3lib_FlashMessage',
-							$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.file_missing_text') . ' <abbr title="' . $theFile_abs . '">' . $theFile . '</abbr>',
+								$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.file_missing_text') . ' <abbr title="' . $theFile_abs . '">' . $theFile . '</abbr>',
 							$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.xml:warning.file_missing'),
 							t3lib_FlashMessage::ERROR
 						);
@@ -1911,18 +1897,18 @@
 						continue;
 					}
 
-					$check = basename($theFile_abs).':'.filemtime($theFile_abs).':'.$GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'];
+					$check = basename($theFile_abs) . ':' . filemtime($theFile_abs) . ':' . $GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'];
-					$params = '&file='.rawurlencode($theFile);
+					$params = '&file=' . rawurlencode($theFile);
-					$params.= $size?'&size='.$size:'';
+					$params .= $size ? '&size=' . $size : '';
-					$params.= '&md5sum='.t3lib_div::shortMD5($check);
+					$params .= '&md5sum=' . t3lib_div::shortMD5($check);
 
-					$url = $thumbScript.'?&dummy='.$GLOBALS['EXEC_TIME'].$params;
+					$url = $thumbScript . '?&dummy=' . $GLOBALS['EXEC_TIME'] . $params;
-					$onClick = 'top.launchView(\''.$theFile.'\',\'\',\''.$backPath.'\');return false;';
+					$onClick = 'top.launchView(\'' . $theFile . '\',\'\',\'' . $backPath . '\');return false;';
-					$thumbData.= '<a href="#" onclick="'.htmlspecialchars($onClick).'"><img src="'.htmlspecialchars($backPath.$url).'" hspace="2" border="0" title="'.trim($theFile).'"'.$tparams.' alt="" /></a> ';
+					$thumbData .= '<a href="#" onclick="' . htmlspecialchars($onClick) . '"><img src="' . htmlspecialchars($backPath . $url) . '" hspace="2" border="0" title="' . trim($theFile) . '"' . $tparams . ' alt="" /></a> ';
 				} else {
 					$icon = self::getFileIcon($ext);
-					$url = 'gfx/fileicons/'.$icon;
+					$url = 'gfx/fileicons/' . $icon;
-					$thumbData.= '<img src="'.$backPath.$url.'" hspace="2" border="0" title="'.trim($theFile).'"'.$tparams.' alt="" /> ';
+					$thumbData .= '<img src="' . $backPath . $url . '" hspace="2" border="0" title="' . trim($theFile) . '"' . $tparams . ' alt="" /> ';
 				}
 			}
 		}
